<template>
  <v-container>
    <v-dialog
      v-click-outside="deleteCancel"
      v-model="dialog"
      :max-width="width"
    >
      <v-card>
        <v-card-title class="headline">{{ message }}</v-card-title>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue darken-1" text @click="deleteCancel">Cancel</v-btn>
          <v-btn color="error" text @click="deleteConfirm">Delete</v-btn>
          <v-spacer></v-spacer>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>
export default {
  props: ["message", "width"],
  data() {
    return {
      dialog: true
    };
  },
  methods: {
    deleteConfirm() {
      this.$emit("deleteConfirm", true);
      this.dialog = false;
    },
    deleteCancel() {
      this.$emit("deleteConfirm", false);
      this.dialog = false;
    }
  }
};
</script>
